
%{!?_licensedir: %global license %%doc}

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%endif

%global modname zope.dottedname

Name:           python-zope-dottedname
Summary:        Resolver for Python dotted names
Version:        4.1.0
Release:        13%{?dist}
Source0:        http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License:        ZPLv2.1
Group:          Development/Libraries
BuildArch:      noarch
URL:            http://pypi.python.org/pypi/zope.dottedname

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# for tests, should be removed in the next upstream release
BuildRequires:  python3-zope-testing

%description
The zope.dottedname module provides one function, 'resolve' that
resolves strings containing dotted names into the appropriate Python
object.

%package -n python3-zope-dottedname
Summary:        Resolver for Python dotted names
%{?python_provide:%python_provide python3-zope-dottedname}

Requires:       python3

%description -n python3-zope-dottedname
Manage dynamic plugins for Python applications

%prep
%setup -q -n %{modname}-%{version}

%build
%py3_build

%install
%py3_install

%check

# https://github.com/pypa/setuptools/issues/912
#%if 0%{?with_python3}
#%{__python3} setup.py test
#%endif

%files -n python3-zope-dottedname
%doc README.rst CHANGES.rst
%license COPYRIGHT.txt LICENSE.txt

# Co-own %%{python3_sitelib}/zope/
%dir %{python3_sitelib}/zope/
%{python3_sitelib}/zope/dottedname/
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth


%changelog
* Fri Oct 12 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.1.0-13
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 4.1.0-11
- Rebuilt for Python 3.7

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 4.1.0-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb 20 2017 Ralph Bean <rbean@redhat.com> - 4.1.0-7
- Try fixing BuildRequires.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 4.1.0-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.0-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 04 2016 Ralph Bean <rbean@redhat.com> - 4.1.0-2
- Python3 subpackaging.

* Mon Jan 04 2016 Ralph Bean <rbean@redhat.com> - 4.1.0-1
- new version
- removed a patch now found upstream.
- Update docs files according to upstreams renames.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 29 2012 Robin Lee <cheeselee@fedoraproject.org> - 3.4.6-4
- Include PKG-INFO in %%doc

* Sun May 27 2012 Robin Lee <cheeselee@fedoraproject.org> - 3.4.6-3
- Remove defattr
- Move README.txt to %%doc

* Mon Sep 13 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.4.6-2
- Requires: python-zope-filesystem and python-setuptools removed
- Add %%check section and run tests
- Add python-zope-dottedname-3.4.6-run-tests.patch to register the test_suite
- Co-own %%{python_sitelib}/zope/
- Don't move the text files
- Spec cleaned up

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.4.6-1
- Initial packaging
